Subject: Re: [PATCH net 0/6] net/sched: Fix packet loops in mirred and netem

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Jan 2026 19:28:07 -0800

On Wed, 14 Jan 2026 11:40:18 -0500 Jamal Hadi Salim wrote:
> On Tue, Jan 13, 2026 at 9:07 PM Jakub Kicinski <[email-masked]> wrote:
> > On Sun, 11 Jan 2026 11:39:41 -0500 Jamal Hadi Salim wrote:  
> > > We introduce a 2-bit global skb->ttl counter.Patch #1 describes how we puti
> > > together those bits. Patches #2 and patch #5 use these bits.
> > > I added Fixes tags to patch #1 in case it is useful for backporting.
> > > Patch #3 and #4 revert William's earlier netem commits. Patch #6 introduces
> > > tdc test cases.  
> >
> > TC is not the only way one can loop packets in the kernel forever.
> > Are we now supposed to find and prevent them all?  
> 
> These two are trivial to reproduce with simple configs. They consume
> both CPU and memory resources.
> I am not aware of other forever packet loops - but if you are we can
> look into them.

Is there loop prevention in BPF redirect? Plugging two ends of veth
into a bridge? Routing loops with an action to bump TTL back up?